2021-02-28 16:49 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000657Spring engineGeneralpublic2008-01-13 14:44
Reporterheavylancer 
Assigned To 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000657: Crash with EE on Altair Crossing, 0.75b2
DescriptionCrash with EE on Altair Crossing, using Gunhost autohost. All players crashed.
Stacktrace and log below, replay available as well.
Additional InformationSpring 0.75b2 has crashed.
Exception: Access violation (0xc0000005)
Exception Address: 0x006da59b
DLL information:
0x00400000 spring
0x7c900000 ntdll
0x7c800000 kernel32
0x77dd0000 ADVAPI32
0x77e70000 RPCRT4
0x73f10000 dsound
0x77c10000 msvcrt
0x7e410000 USER32
0x77f10000 GDI32
0x774e0000 ole32
0x76b40000 WINMM
0x77c00000 VERSION
0x68b20000 GLU32
0x5ed00000 OPENGL32
0x73760000 DDRAW
0x73bc0000 DCIMAN32
0x76c90000 IMAGEHLP
0x71ad0000 WSOCK32
0x71ab0000 WS2_32
0x71aa0000 WS2HELP
0x10000000 SDL
0x7c340000 MSVCR71
0x00d00000 DevIL
0x66fc0000 freetype6
0x61b80000 zlib1
0x003d0000 glew32
0x00e90000 ILU
0x76390000 IMM32
0x74720000 MSCTF
0x602d0000 QOEHook
0x77f60000 SHLWAPI
0x01c00000 tabhook
0x755c0000 msctfime
0x69500000 nvoglnt
0x01920000 VetRedir
0x71a50000 mswsock
0x662b0000 hnetcfg
0x02d50000 ISafeIf
0x71a90000 wshtcpip
0x76c30000 WINTRUST
0x77a80000 CRYPT32
0x77b20000 MSASN1
0x72d20000 wdmaud
0x72d10000 msacm32
0x77be0000 MSACM32
0x77bd0000 midimap
0x73ee0000 KsUser
0x605d0000 mslbui
0x59a60000 DBGHELP
Stacktrace:
(0) C:\Program Files\Spring\spring.exe [0x006DA59B]
(1) C:\Program Files\Spring\spring.exe [0x006DB29C]
(2) C:\Program Files\Spring\spring.exe [0x007DE985]
(3) C:\Program Files\Spring\spring.exe [0x006E87CE]
(4) C:\Program Files\Spring\spring.exe [0x0071BE02]
(5) C:\Program Files\Spring\spring.exe [0x005BB7F1]
(6) C:\Program Files\Spring\spring.exe [0x005DB50C]
(7) C:\Program Files\Spring\spring.exe [0x005DE5EE]
(8) C:\Program Files\Spring\spring.exe [0x00819AA9]
(9) C:\Program Files\Spring\spring.exe [0x00821C68]
(10) C:\Program Files\Spring\spring.exe [0x00822038]
(11) C:\Program Files\Spring\spring.exe [0x00822269]
(12) C:\Program Files\Spring\spring.exe [0x0090F147]
(13) C:\Program Files\Spring\spring.exe [0x00401292]
(14) C:\Program Files\Spring\spring.exe [0x004012DD]
(15) C:\WINDOWS\system32\kernel32.dll(RegisterWaitForInputIdle+0x49) [0x7C816FD7]
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
related to 0000428closed Two spring crashes 
related to 0000005closedtvo Crash in CLosHandler::LosAddAir 
+Relationships

-Notes

~0001351

imbaczek (reporter)

(0) CLosHandler::LosAdd(LosInstance*)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Sim/Misc/LosHandler.cpp:292

(1) CLosHandler::MoveUnit(CUnit*, bool)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Sim/Misc/LosHandler.cpp:229

(2) CGroundMoveType::SlowUpdate()
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Sim/MoveTypes/groundmovetype.cpp:391

(3) CUnit::SlowUpdate()
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Sim/Units/Unit.cpp:568

(4) CUnitHandler::Update()
    /opt/mingw42/lib/gcc/i586-mingw32msvc/4.2.0/include/c++/bits/stl_list.h:142

(5) CGame::SimFrame()
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Game/Game.cpp:2379

(6) CGame::ClientReadNet()
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Game/Game.cpp:2736

(7) CGame::Update()
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/Game/Game.cpp:1776

(8) SpringApp::Update()
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/System/Main.cpp:838

(9) SpringApp::Run(int, char**)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/System/Main.cpp:1023

(10) Run(int, char**)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/System/Main.cpp:1083

(11) WinMain@16
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/rts/System/Main.cpp:1146

(12) luabind::detail::create_class::stage2(lua_State*)
    /var/lib/buildbot/spring_slave/mingw32-4.2.0/build/lua/luabind/src/create_class.cpp:104

(13) ??
    WeaponDefHandler.cpp:0

(14) ??
    WeaponDefHandler.cpp:0

(15) ??
    ??:0

~0001353

imbaczek (reporter)

289 ang=dh*invR;
290 if(ang>maxAng3){
291 instance->losSquares.push_back(square);
292 losMap[allyteam][square]++;
293 }

two options: either square gets calculated wrong (not likely), or allyteam is borked.

~0001809

Auswaschbar (reporter)

Closed because of code changes, new versions etc.

Please reopen if this bug still occurs in current version.
+Notes

-Issue History
Date Modified Username Field Change
2007-10-14 10:16 heavylancer New Issue
2007-10-14 10:16 heavylancer File Added: 071014-Altair_Crossing-V1-0.75b2.sdf
2007-10-14 11:26 imbaczek Note Added: 0001351
2007-10-14 11:31 imbaczek Relationship added related to 0000428
2007-10-14 12:28 imbaczek Note Added: 0001353
2007-10-14 13:49 tvo Relationship added related to 0000005
2008-01-13 14:44 Auswaschbar Status new => closed
2008-01-13 14:44 Auswaschbar Note Added: 0001809
2008-01-13 14:44 Auswaschbar Resolution open => fixed
+Issue History